import 'dart:async';

import 'package:flutter/services.dart';

String clientIdValue = "";
String sessionIdValue = "";
String flowValue = "";
String userIdValue = "";

class FlutterPluginDfsAndroid {
  static const MethodChannel _channel =
      MethodChannel('flutter_plugin_dfs_android');

  static Future<String?> get platformVersion async {
    final String? version = await _channel.invokeMethod('getPlatformVersion');
    return version;
  }

  Future<void> submitData() async {
    await _channel.invokeMethod('submitData', {
      "userId": userIdValue,
      "sessionId": sessionIdValue,
      "flow": flowValue,
      "clientId": clientIdValue
    });
  }

  Future<void> initializeBureau(String clientId) async {
    clientIdValue = clientId;
  }

  Future<void> setSessionId(String sessionId) async {
    sessionIdValue = sessionId;
  }

  Future<void> setFlow(String flow) async {
    flowValue = flow;
  }

  Future<void> setUserId(String userId) async {
    userIdValue = userId;
  }
}
